cmake_minimum_required(VERSION 3.5)

project (asn1Demo C CXX)

set (CMAKE_CXX_STANDARD     14)

# Version.
set (MAJOR_VERSION "0")
set (MINOR_VERSION "0")
set (PATCH_VERSION "2")

# Import build system.
set (HT_BUILDSYS_MINIMUM_VERSION    2.4.0)

list (APPEND    CMAKE_MODULE_PATH   "$ENV{HT_BUILDSYS_CMAKE_MODULES}")
include (HtCMakePub)

include_directories (
    "${CMAKE_CURRENT_SOURCE_DIR}/include"
    "${CMAKE_CURRENT_SOURCE_DIR}/generated_msgs"
)

file (GLOB_RECURSE  SOURCES
    "${CMAKE_CURRENT_SOURCE_DIR}/source/*.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/source/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/generated_msgs/*.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/generated_msgs/*.cpp"
)

list (REMOVE_ITEM   SOURCES
    "${CMAKE_CURRENT_SOURCE_DIR}/generated_msgs/converter-example.c"
)

# add_definitions ("-DASN_EMIT_DEBUG=1")

add_executable (asn1Demo
    ${SOURCES}
)
